net/openvpn - The NetBSD Packages Collection

Easy-to-use SSL VPN daemon

OpenVPN is a robust and highly flexible tunneling application
that uses all of the encryption, authentication, and certification
features of the OpenSSL library to securely tunnel IP networks over
a single TCP/UDP port.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/pkgconf

Runtime dependencies

archivers/lz4 archivers/lzo archivers/lz4

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfopenvpn-2.5.0.tgz
NetBSD 8.0earmv7hfopenvpn-2.4.9nb1.tgz
NetBSD 8.0earmv7hfopenvpn-2.5.1.tgz
NetBSD 8.0i386openvpn-2.4.9nb1.tgz
NetBSD 8.0i386openvpn-2.5.0.tgz
NetBSD 8.0i386openvpn-2.5.1.tgz
NetBSD 8.0powerpcopenvpn-2.4.9nb1.tgz
NetBSD 8.0powerpcopenvpn-2.5.1.tgz
NetBSD 8.0powerpcopenvpn-2.5.0.tgz
NetBSD 8.0powerpcopenvpn-2.5.1.tgz
NetBSD 8.0x86_64openvpn-2.5.1.tgz
NetBSD 8.0x86_64openvpn-2.4.9nb1.tgz
NetBSD 8.0x86_64openvpn-2.5.0.tgz
NetBSD 9.0aarch64openvpn-2.5.1.tgz
NetBSD 9.0aarch64openvpn-2.4.9nb1.tgz
NetBSD 9.0aarch64openvpn-2.5.0.tgz
NetBSD 9.0alphaopenvpn-2.5.1.tgz
NetBSD 9.0alphaopenvpn-2.4.9nb1.tgz
NetBSD 9.0alphaopenvpn-2.5.0.tgz
NetBSD 9.0earmopenvpn-2.4.9nb1.tgz
NetBSD 9.0earmopenvpn-2.5.0.tgz
NetBSD 9.0earmopenvpn-2.5.1.tgz
NetBSD 9.0earmv6hfopenvpn-2.5.1.tgz
NetBSD 9.0earmv6hfopenvpn-2.4.9nb1.tgz
NetBSD 9.0earmv6hfopenvpn-2.5.0.tgz
NetBSD 9.0earmv6hfopenvpn-2.5.0.tgz
NetBSD 9.0earmv7hfopenvpn-2.5.1.tgz
NetBSD 9.0earmv7hfopenvpn-2.4.9nb1.tgz
NetBSD 9.0earmv7hfopenvpn-2.5.0.tgz
NetBSD 9.0earmv7hfopenvpn-2.5.0.tgz
NetBSD 9.0earmv7hfopenvpn-2.5.1.tgz
NetBSD 9.0i386openvpn-2.4.9nb1.tgz
NetBSD 9.0i386openvpn-2.5.0.tgz
NetBSD 9.0i386openvpn-2.5.1.tgz
NetBSD 9.0mips64ebopenvpn-2.5.1.tgz
NetBSD 9.0mips64ebopenvpn-2.4.9nb1.tgz
NetBSD 9.0mips64ebopenvpn-2.5.0.tgz
NetBSD 9.0mipselopenvpn-2.5.0.tgz
NetBSD 9.0mipselopenvpn-2.5.1.tgz
NetBSD 9.0powerpcopenvpn-2.5.0.tgz
NetBSD 9.0powerpcopenvpn-2.4.9nb1.tgz
NetBSD 9.0powerpcopenvpn-2.5.1.tgz
NetBSD 9.0powerpcopenvpn-2.5.1.tgz
NetBSD 9.0sh3elopenvpn-2.5.0.tgz
NetBSD 9.0sparc64openvpn-2.5.1.tgz
NetBSD 9.0sparc64openvpn-2.4.9nb1.tgz
NetBSD 9.0sparc64openvpn-2.4.9nb1.tgz
NetBSD 9.0sparc64openvpn-2.5.0.tgz
NetBSD 9.0sparcopenvpn-2.5.1.tgz
NetBSD 9.0sparcopenvpn-2.4.9nb1.tgz
NetBSD 9.0sparcopenvpn-2.5.0.tgz
NetBSD 9.0vaxopenvpn-2.5.1.tgz
NetBSD 9.0x86_64openvpn-2.5.0.tgz
NetBSD 9.0x86_64openvpn-2.5.0.tgz
NetBSD 9.0x86_64openvpn-2.5.0nb1.tgz
NetBSD 9.0x86_64openvpn-2.5.1.tgz
NetBSD 9.0x86_64openvpn-2.4.9nb1.tgz
NetBSD 9.0x86_64openvpn-2.5.0.tgz
NetBSD 9.0x86_64openvpn-2.5.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

pam
Enable PAM support.
pkcs11
Use certificate-on-a-stick (or card) support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.